<?php
class classDepartment
{
	private $userID;
	private $organizationID;
	private $departmentID;
	private $departmentName;
	
	######################################### SET FUNCTION ###################################################
	
	public function setUserID($userID)
	{
		if($userID!="")
		{
			$this->userID=$userID;	
		}
		else
		{
			throw new MyException('User ID cannot be empty.Please enter user ID.');
			
		}
	}
	
	public function setOrganizationID($organizationID)
	{
		if($organizationID!="")
		{
			$this->organizationID=$organizationID;	
		}
		else
		{
			throw new MyException('Organization ID cannot be empty.Please enter organization ID.');
			
		}
	}
	
	public function setDepartmentID($departmentID)
	{
		if($departmentID!="")
		{
			$this->departmentID=$departmentID;	
		}
		else
		{
			throw new MyException('Department ID cannot be empty.Please enter department ID.');
			
		}
	}
	
	public function setDepartmentName($locationID)
	{
		if($departmentName!="")
		{
			$this->departmentName=$departmentName;	
		}
		else
		{
			throw new MyException('Department name cannot be empty.Please enter department name.');
			
		}
	}
	
	######################################### GET FUNCTION ###################################################
	
	public function getUserID()
	{
		if($this->userID!="")
		{
			return $this->userID;	
		}
		else
		{
			throw new MyException('User ID cannot be empty.Please enter user ID.');
		}
	}
	
	public function getOrganizationID()
	{
		if($this->organizationID!="")
		{
			return $this->organizationID;	
		}
		else
		{
			throw new MyException('Organization ID cannot be empty.Please enter organization ID.');
		}
	}
	
	public function getDepartmentID()
	{
		if($this->departmentID!="")
		{
			return $this->departmentID;	
		}
		else
		{
			throw new MyException('Department ID cannot be empty.Please enter department ID.');
		}
	}
	
	public function getDepartmentName()
	{
		if($this->departmentName!="")
		{
			return $this->departmentName;	
		}
		else
		{
			throw new MyException('Department name cannot be empty.Please enter department name.');
		}
	}
	
}